> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/caf-sdk-pt-br/android/standalone-modules/cafsmartauth/references.md).

# Referências

### `CafFilterStyle`

| Campo          | Descrição                                                  |
| -------------- | ---------------------------------------------------------- |
| `NATURAL`      | A selfie original capturada.                               |
| `LINE_DRAWING` | Um filtro de desenho de linha aplicado à selfie capturada. |

### `CafFaceAuthenticatorSettings`

| Campo               | Descrição                                                                                                          |
| ------------------- | ------------------------------------------------------------------------------------------------------------------ |
| `faceAuthToken`     | Token de uso associado à sua conta CAF                                                                             |
| `useLoadingScreen`  | Valor booleano para ativar ou desativar a tela de carregamento.                                                    |
| `enableScreenshots` | Valor booleano para ativar ou desativar a gravação de tela durante o processo de verificação de vivacidade facial. |
| `filter`            | Estilo de filtro a ser aplicado à selfie capturada.                                                                |

### `CafFailure`

#### Estrutura

| Campo     | Descrição                   |
| --------- | --------------------------- |
| `message` | Mensagem de erro detalhada. |

O `CafFailure` representa vários tipos de erros que podem ocorrer no SDK:

| Error                | Descrição                                                                 |
| -------------------- | ------------------------------------------------------------------------- |
| `PermissionReason`   | Alguma permissão obrigatória está faltando.                               |
| `AvailabilityReason` | CafSmartAuth não está disponível para uso.                                |
| `NetworkReason`      | Falha na conexão com a internet.                                          |
| `ServerReason`       | Quando uma solicitação recebe um código de status de falha.               |
| `SecurityReason`     | O SDK não pode ser iniciado devido a um problema relacionado à segurança. |
| `PolicyReason`       | Uma política em uso não é compatível com o SDK.                           |

Esta seção fornece uma referência às principais propriedades configuráveis e aos possíveis erros para o *CafSmartAuth* SDK no Android.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.caf.io/caf-sdk/caf-sdk-pt-br/android/standalone-modules/cafsmartauth/references.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
